//Task 1

let number;
do {
  number = Number(prompt("Enter your number"));
} while (!Number.isInteger(number));

if (number < 5) {
  console.log("Sorry, no numbers");
} else {
  for (i = 0; i <= number; i++) {
    if (i % 5 === 0) {
      console.log("i =", i);
    }
  }
}

//Task 2

// let m;
// let n;
// do {
//   m = Number(prompt("Enter your number m"));
//   n = Number(prompt("Enter your number n"));
//   if (n < m) {
//     alert("Wrong number");
//   }
// } while (n < m);
// for (i = m; i <= n; i++) {
//   let flag = 0;
//   for (j = 2; j < i; j++) {
//     if (i % j === 0) {
//       flag = 1;
//       break;
//     }
//   }
//   if (i > 1 && flag == 0) {
//     console.log(i);
//   }
// }

/*Теоретичні питання
1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.

Цикли потрібні для перебирання (даних) чисел, масивів, об'єктів, деяких математичних операцій, реалізація ітерації.
Ще її можна назвать послідовністю інструкцій.

2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.

Використовував цикл для перевірки ключей які знаходяться в об'єкті, дані які зноходяться в масиві.

3 .Що таке явне та неявне приведення (перетворення) типів даних у JS? 

Явним приведенням типу можна назвати коли ми сами вписали методи переведення у тип, наприклад "+" або "Number()".
Приклади неявного приведення типів це "5" * 20;  15 + 3 + "number"; 12 / "6"; і так далі.

*/
